Minimum Android device requirements

This article describes the latest version of the Drive app for Android. To get the latest version, download an update from the Play Store.

To download the Google Drive app for Android, make sure your Android device version is supported:

  • For phones, you need Android version 2.1 or higher.
  • For tablets, you need Android version 3.0 or higher.
  • To check your version, go to Settings and select About phone or About tablet. Your version number is listed under “Android version.”

The Google Drive app for Android is supported in all languages supported by Google Drive. To change language settings for the app, change them on your Android device by following these steps:

  1. Go to Settings and select Language & input
  2. Touch Language at the top of your screen
  3. Touch the name of the language you’d like to use on your device. Your settings will then change and you’ll be returned to the Language & input screen

Changing the language settings on your web Google Drive account doesn’t affect your Android app, and vice versa.

Supported languages

We support mobile editing for Google Docs in the following languages:

Arabic, Bulgarian, Catalan, Chinese (Simplified), Chinese (Traditional), Croatian, Czech, Danish, Dutch, English, English (UK), Filipino, Finnish, French, German, Greek, Gujarati, Hebrew, Hindi, Hungarian, Indonesian, Italian, Japanese, Kannada, Korean, Latvian, Lituanian, Malayalam, Marathi, Norwegian, Polish, Portuguese (Portugal), Portuguese (Brazil), Romanian, Russian, Serbian, Slovak, Slovenian, Spanish, Swedish, Tamil, Telugu, Thai, Turkish, Ukranian, and Vietnamese.